base: &default
  superdomain: <%= superdomain = ENV.fetch('THREESCALE_SUPERDOMAIN', '3scale.net') %>
  dev_domain: <%= ENV['THREESCALE_DEV_DOMAIN'] == '1' %>
  apicast_internal_host_regexp:
  secure_cookie: <%= ENV.fetch('FORCE_SSL', '1') == '1' %>
  finance_enabled: <%= ENV.fetch('ENABLE_FINANCE', '1') == '1' %>
  force_ssl: <%= ENV.fetch('FORCE_SSL', '1') == '1' %>
  log_requests: <%= ENV.fetch('ENABLE_LOG_REQUESTS', '1') == '1' %>
  marketo_enabled: false
  apicast_oauth: <%= ENV.fetch('ENABLE_APICAST_OAUTH', '0') == '1' %>
  apicast_custom_url: <%= ENV.fetch('ENABLE_APICAST_CUSTOM_URL', '0') == '1' %>
  active_docs_url: <%= ENV.fetch('ACTIVE_DOCS_URL', 'https://support-staging.3scale.net') %>
  active_docs_proxy_disabled: false
  asset_host: <%= ENV.fetch('RAILS_ASSET_HOST', nil) %>
  daily_weekly_reports_pref: <%= ENV.fetch('ENABLE_DAILY_WEEKLY_REPORTS_PREF', '1') == '1' %>
  readonly_custom_domains_settings: <%= ENV.fetch('READONLY_CUSTOM_DOMAINS_SETTINGS', '1') == '1' %>
  airbrake_api_key: <%= ENV['AIRBRAKE_API_KEY'] %>
  bugsnag_api_key: <%= ENV['BUGSNAG_API_KEY'] %>
  events_shared_secret: <%= ENV['EVENTS_SHARED_SECRET'] %>
  recaptcha_public_key: <%= ENV.fetch('RECAPTCHA_PUBLIC_KEY', 'YOUR_RECAPTCHA_PUBLIC_KEY') %>
  recaptcha_private_key: <%= ENV['RECAPTCHA_PRIVATE_KEY'] %>
  noreply_email: <%= ENV.fetch('NOREPLY_EMAIL', 'no-reply@3scale.net') %>
  support_email: <%= ENV.fetch('SUPPORT_EMAIL', '3scale Support <support@3scale.net>') %>
  sales_email: <%= ENV.fetch('SALES_EMAIL', 'sales@3scale.net') %>
  notification_email: <%= ENV.fetch('NOTIFICATION_EMAIL', '3scale Notification <no-reply@3scale.net>') %>
  report_traffic: false
  hide_basic_switches: false
  tenant_mode: <%= ENV.fetch('TENANT_MODE', 'multitenant') %>
  db_secret: 50a3a512b4d064290ccf3116fa2ff23e56e1badc

development:
  <<: *default
  dev_domain: true
  secure_cookie: false
  force_ssl: false
  report_traffic: false

test:
  <<: *default
  secure_cookie: false
  force_ssl: false
  report_traffic: false

preview:
  <<: *default
  dev_domain:  <%= ENV['THREESCALE_DEV_DOMAIN'] != '0' %>
  report_traffic: false

production:
  <<: *default
  report_traffic: true
